﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CatanGame.Model
{
    public class Field
    {
        private ResourceType _resourceType;
        private Node[] _neighboringNodes;
        private int _fieldNum;

        public ResourceType ResourceType { get { return _resourceType; } set { _resourceType = value; } }
        public Byte FieldID { get; set; }
        public int FieldNum { get { return _fieldNum; } set { _fieldNum = value; } }

        public Field()
        {

        }
        public Field(List<Node> neighbors)
        {
            _neighboringNodes = neighbors.ToArray();
        }

        public void SendResources()
        {
            if (_resourceType != ResourceType.None && _resourceType != ResourceType.Sea)
                for (int i = 0; i < _neighboringNodes.Length; i++)
                {
                    if (_neighboringNodes[i].Building == null)
                        continue;
                    if (_neighboringNodes[i].Building.Type == HouseType.Settlement)
                        _neighboringNodes[i].Building.Owner.Resources[_resourceType] += 1;
                    else if (_neighboringNodes[i].Building.Type == HouseType.City)
                        _neighboringNodes[i].Building.Owner.Resources[_resourceType] += 2;
                }
        }
    }
}
