﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CatanGame.Model
{
    public struct NodeCoordinates : IEquatable<NodeCoordinates>
    {
        public int R { get; private set; }
        public int Q { get; private set; }
        public Direction Dir { get; private set; }

        public NodeCoordinates(int r, int q, Direction dir)
        {
            R = r;
            Q = q;
            Dir = dir;
        }

        public NodeCoordinates(NodeCoordinates other)
        {
            R = other.R;
            Q = other.Q;
            Dir = other.Dir;
        }

        // needed because the viewmodel checks if the property changed
        public bool Equals(NodeCoordinates other)
        {
            return R == other.R && Q == other.Q && Dir == other.Dir;
        }

        public override String ToString()
        {
            return R + "," + Q + "," + Dir.ToString();
        }
    }
}
