﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using CatanGame.Model;

namespace CatanGame.ViewModel
{
    public class NodeViewModel : ViewModelBase
    {
        private String _houseType;
        private String _houseOwner;
        private int _houseOwnerId;
        private (int R, int Q, int D) _position;
        private bool _isBuildable;

        public DelegateCommand UpgradeNodeCommand { get; set; }

        public String HouseType 
        { 
            get => _houseType; 
            set => ChangeProperty(ref _houseType, value); 
        }

        public String HouseOwner 
        { 
            get => _houseOwner; 
            set => ChangeProperty(ref _houseOwner, value); 
        }

        public int HouseOwnerId
        {
            get => _houseOwnerId;
            set => ChangeProperty(ref _houseOwnerId, value);
        }

        public (int R, int Q, int D) Position 
        { 
            get => _position; 
            set => ChangeProperty(ref _position, value); 
        }
        public bool IsBuildable
        {
            get => _isBuildable;
            set => ChangeProperty(ref _isBuildable, value);  
        }
    }
}
