﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CatanGame.ViewModel
{
    public class PlayerViewModel : ViewModelBase, IEquatable<PlayerViewModel>
    {
        private string _name;
        private int _id;
        private int _score;
        private int _lumber;
        private int _brick;
        private int _wool;
        private int _grain;
        private int _ore;

        public string Name { get => _name; set => ChangeProperty(ref _name, value); }
        public int Id { get => _id; set => ChangeProperty(ref _id, value); }
        public int Score { get => _score; set => ChangeProperty(ref _score, value); }
        public int LumberCnt { get => _lumber; set => ChangeProperty(ref _lumber, value); }
        public int BrickCnt { get => _brick; set => ChangeProperty(ref _brick, value); }
        public int WoolCnt { get => _wool; set => ChangeProperty(ref _wool, value); }
        public int GrainCnt { get => _grain; set => ChangeProperty(ref _grain, value); }
        public int OreCnt { get => _ore; set => ChangeProperty(ref _ore, value); }

        public string PlayerDataFormatted { get => string.Format("{0} összpontszáma: {1}", _name, _score); }

        public bool Equals(PlayerViewModel other)
        {
            return this.Id == other.Id;
        }
    }
}
