﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using CatanGame.Model;

namespace CatanGame.ViewModel
{
    public class RoadViewModel : ViewModelBase
    {
        private (int FirstNodeId, int SecondNodeId) _position;
        private int _ownerId;
        private bool _isBuildable;

        public DelegateCommand PlaceRoadCommand { get; set; }

        public bool IsBuildable
        {
            get => _isBuildable;
            set => ChangeProperty(ref _isBuildable, value);
        }

        public (int FirstNodeId, int SecondNodeId) Position
        {
            get => _position;
            set => ChangeProperty(ref _position, value);
        }
        public int OwnerId
        {
            get => _ownerId;
            set => ChangeProperty(ref _ownerId, value);
        }

        public DelegateCommand BuildRoadCommand;
    }
}
